import pandas as pd

from simses.commons.log import Logger
from simses.config.data.fuel_cell_data_config import FuelCellDataConfig
from simses.simulation.storage_system.technology.hydrogen.fuel_cell.fuel_cell import FuelCell


class NoFuelCell(FuelCell):
    """An No-Fuelcell is a special typ of a Fuelcell"""

    def __init__(self, fuel_cell_maximal_power: float, fuel_cell_data_config: FuelCellDataConfig):
        super().__init__()
        self.__log: Logger = Logger(type(self).__name__)

    def calculate(self, power: float):
        self.__voltage = 0 # V
        self.__current = 0  # A
        self.__hydrogen_consumption = 0  # mol/s

    def get_current(self):
        #print('the current is: ' + str(self.__current) + ' mA')
        return self.__current

    def get_hydrogen_consumption(self):
        #print('the massflow of hydrogen ist: ' + str(self.__mass_flow_h2) + ' mol/s')
        return self.__hydrogen_consumption

    def get_voltage(self):
        #print('the voltage is: ' + str(self.__voltage) + ' V')
        return self.__voltage

    def get_nominal_stack_power(self):
        return 0

    def get_number_cells(self):
        return 0

    def get_geom_area_stack(self):
        return 0

    def get_heat_capactiy_stack(self):
        return 0

    def close(self):
        self.__log.close()


